.menu-container {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 0%;
    height: 0%;
    overflow: hidden;
    z-index: 15;
}

.menu-button {
    display: block;
    position: fixed;
    top: 10px;
    right: 20px;
    cursor: pointer;
    z-index: 2;
}

.bar {
    display: block;
    width: 25px;
    height: 3px;
    margin: 5px 0;
    background-color: var(--col-darkgray);
    transition: 1s;
}

#menu-toggle:checked ~ .menu-button .bar:nth-child(1) {
    transform: rotate(45deg) translate(-2px, 3px);
}

#menu-toggle:checked ~ .menu-button .bar:nth-child(2) {
    opacity: 0;
}

#menu-toggle:checked ~ .menu-button .bar:nth-child(3) {
    transform: rotate(-45deg) translate(8px, -13px);
}

#menu-toggle {
    display: none;
}

.menu {
    position: fixed;
    top: 0;
    right: -100%;
    width: 100%;
    height: 100%;
    background-color: var(--col-thinyellow);
    transition: 1s;
    z-index: 1;
    overflow-x: hidden;
    overflow-y: auto;
    opacity: 80%;
}

#menu-toggle:checked ~ .menu {
    right: 0;
}

.menu ul {
    position: relative;
    top: 5%;
    left: 5%;
    list-style: none;
    padding: 20px;
}

.menu ul li a {
    text-decoration: none;
    color: black;
    font-size: 18px;
    display: block;
    padding: 10px 0;
    transition: 0.2s;
}

.menu ul li a:hover {
    color: var(--col-yellow);
}

/* 左へスクロール */
@keyframes infinity-scroll-left {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-100%);
    }
}

/* ふわっと表示 */
.bf-fadein {
    opacity: 0;
    transition: opacity 1s;
}

.af-fadein {
    opacity: 1;
}

/* 下から表示 */
.bf-bottomfadein {
    opacity: 0;
    transform: translateY(30px);
    transition: opacity 1s, transform 1s;
}

.af-bottomfadein {
    opacity: 1;
    transform: translateY(0);
}

/* 左から表示 */
.bf-leftfadein {
    opacity: 0;
    transform: translateX(-50px);
    transition: opacity 1s, transform 1s;
}

.af-leftfadein {
    opacity: 1;
    transform: translateX(0);
}

& .yellow-underline {
    text-decoration: underline;
    text-decoration-thickness: 0.3em;
    text-decoration-color: var(--col-yellow);
    text-underline-offset: -0.1em;
    text-decoration-skip-ink: none;
}

/* header */
#flash {
    display: none;
    position: fixed;
    width: 100%;
    height: 100vh;
    z-index: 20;
    background-color: white;
    opacity: 1;
    transition: opacity 1.5s;

    & .flash-img {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 20%;
        opacity: 0;
        transition: opacity 1.5s;
    }
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
    width: 100%;
    height: 60px;
    display: grid;
    grid-template-columns: 1fr 2fr;

    & img {
        height: 60px;
    }

    & ul {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
        place-items: center;
        text-align: center;
        height: 60px;

        & li {
            letter-spacing: 2px;

            & > a {
                text-decoration: none;
            }
        }
    }
}

/* main */
/* top */
#top {
    position: relative;
    height: 100vh;
    margin-bottom: 100px;

    & .top-image {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    & .site-title {
        position: absolute;
        bottom: 12%;
        left: 50%;
        transform: translate(-50%, 0);
        text-align: center;

        & img {
            display: block;
            margin: 0 auto;
            width: 300px;
        }

        & .site-name {
            text-align: center;
            font-size: 24px;
            font-family: "League Spartan", "Noto Sans JP", sans-serif;
            letter-spacing: 5px;
        }
    }
}

#sns {
    text-align: center;

    & img {
        width: 24px;
        margin: 0 10px;
    }
}

/* section */
section {
    /* width: 800px; */
    margin: 0 auto;

    & > h2 {
        text-align: center;
        font-size: 24px;
        font-weight: 500;
        font-family: "League Spartan", "Noto Sans JP", sans-serif;
        letter-spacing: 2px;
    }

    & > span {
        display: block;
        width: 768px;
        margin: 0 auto;
        text-align: center;
        /* font-size: 16px; */
        /* font-weight: 400; */
        border-bottom: 1px solid var(--col-darkgray);
    }
}

/* infomation */
#infomation {
    padding: 50px 0;
    height: 300px;

    & .infomation-contents {
        width: 768px;
        height: 250px;
        margin: 0 auto;
        overflow-y: scroll;

        & .infomation-item {
            display: grid;
            grid-template-columns: 1fr 3fr;
            align-items: center;
            width: 600px;
            margin: 20px auto;

            & span {
                line-height: 16px;
            }
        }
    }
}

/* profile */
#profile {
    padding: 50px 0;
    /* background-color: var(--col-gray); */
    /* height: 100vh; */

    & .profile-contents {
        width: 768px;
        margin: 0 auto;

        & figure {
            text-align: center;

            & img {
                width: 300px;
            }
        }

        & .profile-name {
            width: 80%;
            margin: 0 auto;
            padding: 30px 0;

            & .kanji {
                font-size: 32px;
                letter-spacing: 1px;
                margin-bottom: 3px;
            }

            & .romaji {
                letter-spacing: 2px;
            }
        }

        & .profile-text {
            width: 80%;
            margin: 0 auto 30px;
        }

        & .profile-appearance-title {
            width: 80%;
            margin: 0 auto;
        }

        & .profile-appearance {
            display: grid;
            grid-template-columns: 1fr 1fr;
            font-size: 14px;

            .profile-tvlist {
                display: inline-block;
                margin: 0 auto;
            }

            .profile-radiolist {
                display: inline-block;
                margin: 0 auto;
            }

            & span {
                display: block;
                text-align: left;
            }
        }
    }
}

/* column */
#column {
    width: 100%;
    padding: 50px 0;
    background-color: var(--col-gray);

    /* コラム内リンク共通 */
    & a:link {
        text-decoration: none;
    }

    & .column_thumbnail {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        place-items: center;
        width: 768px;
        margin: 10px auto 50px;

        & a:link {
            display: block;
            width: 100%;
        }

        & .column_content {
            width: 100%;
            height: 420px;

            & .image {
                max-width: 200px;
                max-height: 200px;
                margin: 0 auto 10px;
                text-align: center;
                overflow: hidden;

                & img {
                    max-width: 100%;
                    max-height: 100%;
                    transition: transform 0.5s ease;
                    transform: scale(1);
                }
            }

            & .title {
                width: 80%;
                margin: 0 auto;
                margin-bottom: 5px;
                font-size: 18px;
                font-weight: 400;
            }

            & .date {
                width: 80%;
                margin: 0 auto;
                margin-bottom: 10px;
                font-size: 14px;
                font-family: "Noto Sans JP";
            }

            & .content {
                width: 80%;
                margin: 0 auto;
                margin-bottom: 5px;
            }
        }

        & .column_content:hover {
            & .image {
                overflow: hidden;

                & img {
                    transform: scale(1.2);
                }
            }
        }
    }

    & .column_link {
        width: 200px;
        margin: 0 auto;
        line-height: 30px;
        border: solid 1px var(--col-darkgray);
        border-radius: 25px;
        text-align: center;

        & a:link {
            display: block;
            width: 100%;
        }
    }
}

/* works */
#works {
    padding: 50px 0;
    /* background-color: var(--col-gray); */
    /* height: 50vh; */

    & .works-contents {
        width: 768px;
        margin: 0 auto;
        text-align: center;

        & .scroll-infinity__wrap {
            display: flex;
            overflow: hidden;
        }

        & .scroll-infinity__list {
            display: flex;
            list-style: none;
            padding: 0;
            animation: infinity-scroll-left 40s infinite linear 0.5s both;
        }

        & .scroll-infinity__item {
            padding: 0 10px;
            width: 300px;
        }

        & .scroll-infinity__item > img {
            width: 100%;
        }

        & .work-container {
            text-align: left;
            margin: 20px 0;
            padding: 50px;
            background-color: var(--col-gray);

            & h3 {
                /* display: flex; */
                align-items: top;
                font-size: 24px;
                font-weight: 400;
                /* margin-bottom: 20px; */
            }

            & .underline {
                display: block;
                width: 10%;
                height: 5px;
                background-color: var(--col-yellow);
                margin-bottom: 20px;
            }
        }
    }
}

/* contact */
#contact {
    padding: 50px 0;
    background-color: var(--col-gray);

    & .contact-contents {
        width: 768px;
        margin: 0 auto;

        & .contact-text {
            width: 90%;
            margin: 0 auto;
            padding: 20px;
        }

        & .contact-sns {
            text-align: center;

            & img {
                width: 24px;
                margin: 20px 10px;
            }
        }

        /* contact-form */
        & .contact-form {
            width: 80%;
            margin: 0 auto;
            padding: 20px;

            & label > .required {
                font-size: 12px;
                color: red;
            }

            & input {
                width: 100%;
                height: 24px;
                margin-bottom: 20px;
            }

            & textarea {
                width: 100%;
                height: 80px;
                margin-bottom: 20px;
            }

            & select {
                height: 24px;
                margin-bottom: 20px;
            }

            & .button {
                width: 50%;
                margin: 0 auto;
            }
        }
    }
}

/* contact-confirm */
#contact-confirm {
    margin: 50px auto;

    & .confirm-text {
        width: 600px;
        margin: 30px auto;
    }

    & .confirm-container {
        width: 600px;
        margin: 0 auto;

        & .content {
            margin-bottom: 10px;

            & .strong {
                font-weight: 300;
            }
        }
    }
}

.submit {
    text-align: center;

    & .custom-button {
        padding: 5px 20px;
    }
}

#contact-complete {
    margin: 50px auto;

    & .complete-text {
        width: 600px;
        margin: 30px auto;
    }

    & .home-link {
        text-align: center;
    }
}

.confirm-mail {
    width: 600px;
    margin: 0 auto;
}

/* footer */
footer {
    padding: 50px 0 20px;
    text-align: center;
    font-size: 14px;
    /* background-color: var(--col-gray); */

    & .footer-contents {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        place-items: center;
        /* height: 180px; */
        margin-bottom: 50px;

        & img {
            width: 60%;
        }

        & div {
            height: 100%;
        }

        & div > span {
            display: block;
            margin-bottom: 10px;
            letter-spacing: 1px;
        }

        & .footer-title {
            font-size: 20px;
            font-weight: 200;
        }
    }

    & > span {
        font-size: 12px;
    }
}

/* タブレット */
@media screen and (max-width: 1023px) {
    .menu-container {
        display: block;
    }

    #flash {
        & .flash-img {
            width: 50%;
        }
    }

    .header {
        & img {
            height: 50px;
        }

        & nav {
            display: none;
        }
    }

    section {
        & > span {
            width: 90%;
        }
    }

    #column {
        & .column_thumbnail {
            width: 90%;
            max-width: 768px;
        }
    }

    #works {
        & .works-contents {
            width: 90%;
        }
    }
}

/* スマホ */
@media screen and (max-width: 767px) {
    p,
    a:link,
    span {
        font-size: 14px;
    }

    #top {
        & .site-title {
            width: 65%;

            & img {
                width: 250px;
            }

            & .site-name {
                width: 100%;
                display: block;
                font-size: 20px;
                margin-bottom: 5px;
            }
        }
    }

    #infomation {
        & .infomation-contents {
            width: 100%;

            & .infomation-item {
                width: 90%;
            }
        }
    }

    #profile {
        & .profile-contents {
            width: 90%;

            & .profile-name,
            .profile-text {
                width: 90%;
            }

            & .profile-appearance {
                width: 80%;
                margin: 0 auto;
                display: block;

                & .profile-tvlist {
                    margin-bottom: 20px;
                }
            }
        }
    }

    #column {
        & .column_thumbnail {
            display: grid;
            grid-template-columns: 1fr;
            width: 80%;
            min-width: 300px;
        }
    }

    #works {
        & .works-contents {
            width: 90%;

            & .scroll-infinity__item {
                width: 200px;
            }

            & .work-container {
                margin: 20px 0;
                padding: 40px 30px;

                & h3 {
                    font-size: 20px;
                }

                & .underline {
                    width: 20%;
                }
            }
        }
    }

    #contact {
        .contact-contents {
            width: 90%;
        }
    }

    #contact-confirm {
        & .confirm-text {
            width: 90%;
        }

        & .confirm-container {
            width: 90%;
        }
    }

    #contact-complete {
        & .complete-text {
            width: 90%;
        }
    }

    .confirm-mail {
        width: 90%;
    }

    footer {
        font-size: 12px;

        & img {
            width: 40%;
        }

        & .footer-contents {
            grid-template-columns: 1fr 1fr;
            grid-template-rows: auto auto;

            & figure {
                margin-bottom: 50px;
            }

            & :nth-child(1) {
                grid-column: 1 / -1;
                grid-row: 1;
            }

            & :nth-child(2) {
                grid-column: 1;
                grid-row: 2;
            }

            & :nth-child(3) {
                grid-column: 2;
                grid-row: 2;
            }

            & div > span {
                display: block;
                margin-bottom: 10px;
                letter-spacing: 1px;
            }

            & .footer-title {
                font-size: 16px;
            }

            & > span {
                font-size: 10px;
            }
        }
    }
}

@media (hover: none) {
    .menu ul li a:hover {
        color: initial;
    }

    #column {
        & .column_thumbnail {
            .column_content:hover {
                & .image {
                    overflow: hidden;

                    & img {
                        transform: scale(1);
                    }
                }
            }
        }
    }
}
